
# uncomment the histogram stuff when you know the range to
# set in the Learn file.

set title "1st PC"
plot "sonar.1.pc.pdat" with impulses
pause -1 "Type <return> for next plot"

set title "2nd PC"
plot "sonar.2.pc.pdat" with impulses
pause -1 "Type <return> for next plot"

set title "Projection points of Hidden Vectors Thru 1st 2 PCs"
plot "pca.rocks.prj" using 1:2 with linespoints , "pca.mines.prj" using 1:2 with linespoints 
pause -1 "Type <return> for next plot"

set title "Histogram of Projection of Hidden Vectors Thru 1st PC"
plot "pca.rocks.hst" using 1 with linespoints , "pca.mines.hst" using 1 with linespoints 
pause -1 "Type <return> for next plot"

set title "Histogram of Projection of Hidden Vectors Thru 2nd PC"
plot "pca.rocks.hst" using 2 with linespoints , "pca.mines.hst" using 2 with linespoints 
pause -1 "Type <return> for next plot"

set title "1st CV"
plot "sonar.1.cv.pdat" with impulses
pause -1 "Type <return> for next plot"

set title "2nd CV"
plot "sonar.2.cv.pdat" with impulses
pause -1 "Type <return> for next plot"

set title "Projection points of Hidden Vectors Thru 1st 2 CVs"
plot "cda.rocks.prj" using 1:2 with linespoints , "cda.mines.prj" using 1:2 with linespoints 
pause -1 "Type <return> for next plot"

set title "Histogram of Projection of Hidden Vectors Thru 1st CV"
plot "cda.rocks.hst" using 1 with linespoints , "cda.mines.hst" using 1 with linespoints 
pause -1 "Type <return> to quit"

set title "Histogram of Projection of Hidden Vectors Thru 2nd CV"
plot "cda.rocks.hst" using 2 with linespoints , "cda.mines.hst" using 2 with linespoints 
pause -1 "Type <return> to quit"

quit
