NNTOOLS=/opt/stephie/am-6.0

# -------- hp_parisc.config  --------

# use Bourne shell
SHELL=/bin/sh

# ignore errors...do your best
.IGNORE:

# Operating System
OP_SYS= hpux

NNTOOLS=.

# the machine 
MACHTYPE = hp_parisc

MESSAGE="---------- $(MACHTYPE) installation -----------"

# the include directory
INSTALL_INCLUDE= $(NNTOOLS)/include  

# the lib directory
INSTALL_LIB= $(NNTOOLS)/lib/$(MACHTYPE)

# the bin directory
INSTALL_BIN= $(NNTOOLS)/bin/$(MACHTYPE)

# MACHTYPE specific header, used to override some defaults (see $NNTOOLS/porting)
#MACHTYPE_HEADER=-DAM_MACHTYPE_HEADER=\"$$NNTOOLS/config/$$MACHTYPE.h\"

# Compilers 
CC = cc

# Compiler flags

# strips the symbol table (saves space)...
STRIP = -s

OPTIMIZE=-O     # just used for the number crunching libs
CFLAGS = -w -Aa -D_HPUX_SOURCE -D_$(MACHTYPE)__ -D_$(OP_SYS)__ $(MACHTYPE_HEADER) $(APPEND_CFLAGS) $(INIT_CONST) -I../include -I../../include -I../../../include

# this seemed to be needed at one time, but not now
#CCOPTS = CFLAGS

# Needed Libraries
SLIBS= -lm

# Which archiver used 
AR=ar
AR_FLAGS=ru


# for archive tables (ranlib is not necessary for SYS5)

# SYS5
RANLIB = true
# SUNOS
# RANLIB = ranlib

RM_FILES=*.o *.a *~ *.BAK core

# -------- Makefile.am --------
all: 
	bpmake ;

clean:
	bpmake clean ; 
	/bin/rm -f Network* sonar sonar.c sonar.h *.pdat  Runs/*~;
	/bin/rm -f *.hidden pca.* cda.* *.hst *.prj *.pc *.pvs *.cv *.cvs

compress:
	bpmake compress ;

uncompress:
	bpmake uncompress ;
 

